This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
do not override PERL_DESTRUCT_LEVEL if use has it set
authorGurusamy Sarathy <gsar@cpan.org>
Tue, 21 Jul 1998 01:05:49 +0000 (01:05 +0000)
committerGurusamy Sarathy <gsar@cpan.org>
Tue, 21 Jul 1998 01:05:49 +0000 (01:05 +0000)
p4raw-id: //depot/perl@1586

t/TEST

diff --git a/t/TEST b/t/TEST
index 05ee168..c1d1905 100755 (executable)
--- a/t/TEST
+++ b/t/TEST
@@ -17,7 +17,9 @@ chdir 't' if -f 't/TEST';
 die "You need to run \"make test\" first to set things up.\n"
   unless -e 'perl' or -e 'perl.exe';
 
-$ENV{PERL_DESTRUCT_LEVEL} = 2; # check leakage for embedders
+# check leakage for embedders
+$ENV{PERL_DESTRUCT_LEVEL} = 2 unless exists $ENV{PERL_DESTRUCT_LEVEL};
+
 $ENV{EMXSHELL} = 'sh';        # For OS/2
 
 if ($#ARGV == -1) {